> For the complete documentation index, see [llms.txt](https://docs.namiml.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.namiml.com/sdk-reference/namicustomermanager/loggedinid.md).

# loggedInId

Returns a string of the external identifier that Nami has stored. Returns `null` if no id has been stored, including if a string was passed to [login](/sdk-reference/namicustomermanager/login.md) that was not valid.

{% tabs %}
{% tab title="Swift" %}

```swift
let customerId = NamiCustomerManager.loggedInId()
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
val customerId = NamiCustomerManager.loggedInId()
```

{% endtab %}

{% tab title="Flutter" %}

```dart
var customerId = NamiCustomerManager.loggedInId();
```

{% endtab %}

{% tab title="React Native" %}

```jsx
const checkId = async () => {
  const loggedId = await NamiCustomerManager.loggedInId();
  const deviceId = await NamiCustomerManager.deviceId();
  setExternalId(loggedId);
  setDisplayedDeviceId(deviceId);
};
```

{% endtab %}

{% tab title="Unity" %}

```c
var loggedInId = NamiCustomerManager.LoggedInId;
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namicustomermanager/loggedinid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
